aboutsummaryrefslogtreecommitdiff
path: root/patch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'patch.sh')
-rw-r--r--patch.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/patch.sh b/patch.sh
new file mode 100644
index 0000000..380966f
--- /dev/null
+++ b/patch.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+test -z "$1" && { echo usage: $0 file 1>&2; exit 1; }
+sed 's/^ ; Custom rules$/ #IncludeAgain %A_ScriptDir%\\rules.x/' "$1" |
+sed 's/^; Custom hotkeys$/#IncludeAgain %A_ScriptDir%\\hotkeys.x/' > drm.tmp
+mv drm.tmp drm.ahk